Abrir sesión
logo

DEFENSA FRONTE ÁS CIBERAMEAZAS

barra-separadora

Soporte de vulnerabilidades

Servicio de soporte de vulnerabilidadesAnálisis, notificación y seguimiento de aquellas vulnerabilidades más críticas, que impactan especialmente en las tecnologías empleadas en el sector público. El CCN-CERT trabajará en la recopilación y clasificación de las nuevas vulnerabilidades, realizando un análisis teórico y en laboratorio, cuando sea posible, de aquellas que por su criticidad lo requieran.

Se generarán documentos informativos o “abstracts” de dichas vulnerabilidades y se llevará a cabo un seguimiento de la evolución de la vulnerabilidad en Internet, alertando a los organismos ante cambios en la criticidad, aparición de parches, nuevas recomendaciones, constancia de explotaciones activas, etc.

Para inscribirse en este servicio o recibir más información, escribir al correo electrónico: soporte_acreditacion@ccn.cni.es

Abstracts:


Vulnerability Bulletins


Inyección de SQL en libpam-psgl

Vulnerability classification

Property Value
Confidence level Oficial
Impact Aumento de la visibilidad
Dificulty Avanzado
Required attacker level Acceso remoto sin cuenta a un servicio exotico

System information

Property Value
Affected manufacturer GNU/Linux
Affected software libpam-psgl 0.5.2

Description

Se ha descubierto un error de validación de entrada en la versión 0.5.2 de libpam-psgl, un modulo PAM para autenticación mediante una base de datos PostreSQL. La explotación de esta vulnerabilidad podría permitir a un atacante remoto inyectar código SQL mediante el envío de unas credenciales especialmente diseñadas.

Nótese que, si bien sólo Debian ha emitido un aviso al respecto, esta vulnerabilidad afecta a cualquier distribución que incluya una versión vulnerable del paquete libpam-psgl.

Solution

Si lo desea, aplique los mecanismos de actualización propios de su distribución, o bien baje las fuentes del software y compílelo usted mismo.


Actualización de software

libpam-psgl
libpam-psgl 0.5.2 - Parche no oficial
http://dc.hu/~boldi/pam_pgsql.c.diff

Debian Linux

Debian Linux 3.0
Source
http://security.debian.org/pool/updates/main/p/pam-pgsql/pam-pgsql_0.5.2-3woody2.dsc
http://security.debian.org/pool/updates/main/p/pam-pgsql/pam-pgsql_0.5.2-3woody2.diff.gz
http://security.debian.org/pool/updates/main/p/pam-pgsql/pam-pgsql_0.5.2.orig.tar.gz
Alpha
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_alpha.deb
ARM
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_arm.deb
Intel IA-32
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_i386.deb
Intel IA-64
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_ia64.deb
HP Precision
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_hppa.deb
Motorola 680x0
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_m68k.deb
Big endian MIPS
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_mips.deb
Little endian MIPS
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_mipsel.deb
PowerPC
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_powerpc.deb
IBM S/390
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_s390.deb
Sun Sparc
http://security.debian.org/pool/updates/main/p/pam-pgsql/libpam-pgsql_0.5.2-3woody2_sparc.deb

Standar resources

Property Value
CVE CAN-2004-0366
BID NULL

Other resources

Libpam-psgl bug [ 919892 ] sql injection security hole
http://sourceforge.net/tracker/index.php?func=detail&aid=919892&group_id=62198&atid=499727

Debian Security Advisory DSA 469-1
http://lists.debian.org/debian-security-announce/debian-security-announce-2004/msg00066.html

Version history

Version Comments Date
1.0 Aviso emitido 2004-03-30
Volver

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración